Getting error when trying to add tp-link switch HS200

My script has no errors,
My setup based of the example scripts:

switch:

  • platform: tplink
    host: ...**

17-01-18 00:13:13 homeassistant.components.switch: Error while setting up platform tplink
Traceback (most recent call last):
File “/Users/ibdf/.homeassistant/deps/pyHS100/pyHS100.py”, line 99, in _query_helper
request={target: {cmd: arg}}
File “/Users/ibdf/.homeassistant/deps/pyHS100/protocol.py”, line 59, in query
sock.shutdown(socket.SHUT_RDWR)
OSError: [Errno 57] Socket is not connected

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/site-packages/homeassistant/helpers/entity_component.py”, line 151, in _async_setup_platform
entity_platform.add_entities, discovery_info
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/asyncio/futures.py”, line 358, in iter
yield self # This tells Task to wait for completion.
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/asyncio/tasks.py”, line 290, in _wakeup
future.result()
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/asyncio/futures.py”, line 274, in result
raise self._exception
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/concurrent/futures/thread.py”, line 55, in run
result = self.fn(*self.args, **self.kwargs)
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/site-packages/homeassistant/components/switch/tplink.py”, line 40, in setup_platform
add_devices([SmartPlugSwitch(SmartPlug(host), name)], True)
File “/Library/Frameworks/Python.framework/Versions/3.5/lib/python3.5/site-packages/homeassistant/components/switch/tplink.py”, line 52, in init
self._name = self.smartplug.alias
File “/Users/ibdf/.homeassistant/deps/pyHS100/pyHS100.py”, line 359, in alias
return self.sys_info[‘alias’]
File “/Users/ibdf/.homeassistant/deps/pyHS100/pyHS100.py”, line 119, in sys_info
return self.get_sysinfo()
File “/Users/ibdf/.homeassistant/deps/pyHS100/pyHS100.py”, line 171, in get_sysinfo
return self._query_helper(“system”, “get_sysinfo”)
File “/Users/ibdf/.homeassistant/deps/pyHS100/pyHS100.py”, line 102, in _query_helper
raise SmartPlugException(ex) from ex
pyHS100.pyHS100.SmartPlugException: [Errno 57] Socket is not connected